<?PHP

#############################################################################
# Copyright (C) 2001, Valery Febvre <vfebvre@easter-eggs.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#############################################################################
#
# Modified on 2004 may 9 by Federico Munerotto <mune@ieee.org>
# Modified on 2004 nov 26 by Federico Munerotto <mune@ieee.org>
#
#############################################################################

################################################################################################

function add_user($firstname, $lastname, $login, $is_admin, $is_superuser, $error) {
  global $db;

  print "<h2><div class=\"title\" align=\"left\">&nbsp;". CREATE_USER ."</div></h2>";

  if ($error)
    print "<font class=\"error\">ERROR:</font> Mistake with the password<br>";

  print "<table><tr valign=\"top\">";

  print "<td>";
  PEF_begin_form("admin/users/add_user.php", "post");
  PEF_text(FIRSTNAME, "firstname", $firstname, 25);
  PEF_text(LASTNAME, "lastname", $lastname, 25);
  PEF_text(USERNAME, "login", $login, 15);
  PEF_password(PASSWORD, "password", "", 15);
  PEF_password(PASSWORD_CONFIRM, "confirm", "", 15);
  PEF_yesno(IS_ADMIN, "is_admin", $is_admin);
  PEF_yesno(IS_SUPERUSER, "is_superuser", $is_superuser);
  PEF_submit("", ADD);
  PEF_end_form();
  print "</td>";

  print "<TD VALIGN=\"top\">";
  print "<TABLE WIDTH=\"100%\" nowrap border=\"0\" cellspacing=\"1\" cellpadding=\"1\">";
  print "<TR>";
  print "<TD CLASS=\"table_title\">". CURRENT_LIST ."</TD>";
  print "</TR>";
  $result = $db->query("SELECT * FROM tbl_users ORDER BY lower(lastname) ASC");
  while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
    print "<TR>";
    print "<TD CLASS=\"table_value\">&nbsp;" . $row["firstname"] . " " . $row["lastname"] . "</TD>";
    print "</TR>";
  }
  print "</TABLE>";
  $result->free();
  print "</TD>";

  print "</tr></table>";
}

################################################################################################
function modify_user($id_user, $firstname, $lastname, $login, $is_admin, $is_superuser, $error) {
  global $db;

  print "<h2><div class=\"title\" align=\"left\">&nbsp;". MODIFY_USER ."</div></h2>";

  if ($error) {
    print "<font class=\"error\">". ERROR .":</font> ". PASSWORD_CONFIRM_ERROR ."<br>";
    $row["firstname"] = $firstname;
    $row["lastname"] = $lastname;
    $row["login"] = $login;
    $row["is_admin"] = $is_admin;
    $row["is_superuser"] = $is_superuser;
  }
  else {
    $result = $db->query("SELECT * FROM tbl_users WHERE id_user = $id_user");
    $row = $result->fetchRow(DB_FETCHMODE_ASSOC);
    $result->free();
  }
  
  PEF_begin_form("admin/users/modify_user.php", "post");
  PEF_text(FIRSTNAME, "firstname", $row["firstname"], 40);
  PEF_text(LASTNAME, "lastname", $row["lastname"], 40);
    PEF_text(USERNAME, "login", $row["login"], 15);
      PEF_password(PASSWORD, "password", $row["password"], 15);
      PEF_password(PASSWORD_CONFIRM, "confirm", $row["password"], 15);
  if ($_SESSION["is_admin"] == 't' || $_SESSION["is_superuser"] == 't')
    PEF_yesno(IS_ADMIN, "is_admin", $row["is_admin"]);
  else
    PEF_hidden("is_admin", $row["is_admin"]);
  if ($_SESSION["is_superuser"] == 't')
    PEF_yesno(IS_SUPERUSER, "is_superuser", $row["is_superuser"]);
  else
    PEF_hidden("is_superuser", $row["is_superuser"]);
  PEF_hidden("id_user", $id_user);
  PEF_submit("", MODIFY);
  PEF_end_form();
}

################################################################################################
function modify_profile($id_user, $firstname, $lastname, $login, $error) {
  global $db;

  print "<h2><div class=\"title\" align=\"left\">&nbsp;". MODIFY_PROFILE ."</div></h2>";

  if ($error) {
    print "<font class=\"error\">". ERROR .":</font> ". PASSWORD_CONFIRM_ERROR ."<br>";
    $row["firstname"] = $firstname;
    $row["lastname"] = $lastname;
    $row["login"] = $login;
  }
  else {
    $result = $db->query("SELECT * FROM tbl_users WHERE id_user=$id_user");
    $row = $result->fetchRow(DB_FETCHMODE_ASSOC);
    $result->free();
  }

  PEF_begin_form("admin/users/modify_profile.php", "post");
    PEF_text(FIRSTNAME, "firstname", $row["firstname"], 40);
    PEF_text(LASTNAME, "lastname", $row["lastname"], 40);
    PEF_text(USERNAME, "login", $row["login"], 15);
    if (get_pref("encrypted_password") == 't') {
      PEF_password(PASSWORD, "password", "", 15);
      PEF_password(PASSWORD_CONFIRM, "confirm", "", 15);
    }
    else {
      // if error, 2 fields will be empty ($row is NULL)
      PEF_password(PASSWORD, "password", $row["password"], 15);
      PEF_password(PASSWORD_CONFIRM, "confirm", $row["password"], 15);
    }

  PEF_submit("", MODIFY);
  PEF_end_form();
}

################################################################################################
function list_users() {
  global $db;

  print "<h2><div class=\"title\" align=\"left\">&nbsp;". USERS_LIST ."</div></h2>";

  if ($_SESSION["is_superuser"] == 't') {
    print "<div align=\"left\"><font class=\"minitext\">";
    print "&nbsp;It's impossible to delete a user who has at least one sign<br>";
    print "&nbsp;The user \"Nobody\" can't be delete<br><br>";
    print "</font></div>";
  }

  print "<TABLE border=\"0\" cellspacing=\"1\" cellpadding=\"1\">";
  print "<TR>";
  print "<TD CLASS=\"table_title\">Id</TD>";
  print "<TD CLASS=\"table_title\">Name</TD>";
  print "<TD CLASS=\"table_title\">Login</TD>";
  if ($_SESSION["is_superuser"] == 't')
    print "<TD CLASS=\"table_title\">Password</TD>";
  print "<TD CLASS=\"table_title\">Is admin?</TD>";
  print "<TD CLASS=\"table_title\">Is superuser?</TD>";
  print "<TD CLASS=\"table_title\">Nb signs</TD>";
  print "</TR>";

  $result = $db->query("SELECT * FROM tbl_users ORDER BY lower(lastname), lower(firstname) ASC");
  while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
    print "<TR>";
    if (($_SESSION["is_superuser"] == 't' || $row["login"] == $_SESSION["login"]) && $row["id_user"] != 1) {
      print "<TD CLASS=\"table_value\"><A HREF=index.php?section=modify_user&id_user=" . $row["id_user"] . ">&nbsp;" . $row["id_user"] . "</A></TD>";
    }
    else {
      print "<TD CLASS=\"table_value\">&nbsp;" . $row["id_user"] . "</TD>";
    }
    if (($_SESSION["is_superuser"] == 't' || $row["login"] == $_SESSION["login"]) && $row["id_user"] != 1) {
      print "<TD CLASS=\"table_value\"><A HREF=index.php?section=modify_user&id_user=" . $row["id_user"] . ">&nbsp;" . $row["firstname"] . " " . $row["lastname"] . "</A></TD>";
    }
    else {
      print "<TD CLASS=\"table_value\">&nbsp;" . $row["firstname"] . " " . $row["lastname"] . "</TD>";
    }
    print "<TD CLASS=\"table_value\">&nbsp;" . $row["login"] . "</TD>";
    if ($_SESSION["is_superuser"] == 't') {
      print "<TD CLASS=\"table_value\">&nbsp;" . $row["password"] . "</TD>";
    }
    if ($row["is_admin"] == 't') {
      print "<TD CLASS=\"table_value\">". YES ."</TD>";
    }
    else {
      print "<TD CLASS=\"table_value\">". NO ."</TD>";
    }
    if ($row["is_superuser"] == 't') {
      print "<TD CLASS=\"table_value\">". YES ."</TD>";
    }
    else {
      print "<TD CLASS=\"table_value\">". NO ."</TD>";
    }
    $result2 = $db->query("SELECT count(*) FROM tbl_signs WHERE ID_user=" . $row["id_user"]);
    $row2 = $result2->fetchRow();
    $result2->free();
    $count = $row2[0];
    print "<TD CLASS=\"table_value\">$row2[0]</TD>";
    if (($_SESSION["is_superuser"] == 't' || $row["login"] == $_SESSION["login"]) && $row["id_user"] != 1) {
      print "<TD CLASS=\"table_value\"><A HREF=index.php?section=modify_user&id_user=" . $row["id_user"] . ">". EDIT ."</A></TD>";
    }
    if ($_SESSION["is_superuser"] == 't' && $row2[0] == 0 && $row["id_user"] != 1) {
      print "<TD CLASS=\"table_value\"><A HREF=index.php?section=destruction&table=tbl_users&path_script=admin/users/delete_user.php&id=" . $row["id_user"] . "&name_id=id_user>". DELETE ."</A></TD>";
    }
    print "</TR>";
  }
  print "</TABLE>";
  $result->free();
}

function login() {
  if ($_SESSION["login"]) {
    $rights = "User";
    if ($_SESSION["is_admin"] == 't')
      $rights = "Admin";
    if ($_SESSION["is_superuser"] == 't')
      $rights = "Superuser";   
    print "<font class=\"minitext\">". WELCOME ." <b>". $_SESSION["login"] ."</b> [$rights]</font><br>";
    print "<a href=\"index.php?section=modify_profile\" class=\"inv\">&gt;&gt; ". MY_PROFILE ." &lt;&lt;</a><br>";
    print "<a href=\"index.php?section=disconnect\" class=\"inv\">&gt;&gt; ". LOGOUT ." &lt;&lt;</a><br>";
  }
  else {
    print "<TABLE width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
    print "<FORM action=\"admin/users/login.php\" method=\"post\">";
    
    print "<TR>";
    print "<TD align=\"right\" class=\"form\">Login&nbsp;</TD>";
    print "<TD align=\"center\" class=\"form\"><INPUT type=\"text\" name=\"login\" value=\"\" size=\"8\"></TD>";
    print "<TD>&nbsp;</TD>";
    print "</TR>";
    
    print "<TR>";
    print "<TD align=\"right\" class=\"form\">Password&nbsp;</TD>";
    print "<TD align=\"center\" class=\"form\"><INPUT type=\"password\" name=\"password\" value=\"\" size=\"8\"></TD>";
    print "<TD align=\"center\" class=\"form\"><INPUT type=\"submit\" name=\"submitbtn\" value=\"Go\"></TD>";
    print "</TR>";
    
    print "</FORM>";
    print "</TABLE>";
  }
}

?>
