<?PHP

#############################################################################
# Copyright (C) 2001, Valery Febvre <vfebvre@easter-eggs.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#############################################################################

function PEF_begin_form($action, $method, $border=0, $cellspacing=1, $cellpadding=1) {
  print "<TABLE border=\"$border\" cellspacing=\"$cellspacing\" cellpadding=\"$cellpadding\">";
  print "<FORM action=\"$action\" method=\"".$method."\">";
}

function PEF_text($title, $name, $value, $size, $maxlength="") {
  print "<TR>";
    print "<TD CLASS=\"form\">$title </TD>";
    print "<TD CLASS=\"form\"><INPUT type=\"text\" name=\"$name\" value=\"$value\" size=\"$size\" maxlength=\"$maxlength\"></TD>";
  print "</TR>";
}

function PEF_password($title, $name, $value, $size) {
  print "<TR>";
    print "<TD CLASS=\"form\">$title</TD>";
    print "<TD CLASS=\"form\"><INPUT type=\"password\" name=\"$name\" value=\"$value\" size=\"$size\"></TD>";
  print "</TR>";
}

function PEF_hidden($name, $value) {
    print "<INPUT type=\"hidden\" name=\"$name\" value=\"$value\">";
}

function PEF_submit($name="submitbtn", $value="Ok") {
  print "<TR>";
    print "<TD CLASS=\"form\">&nbsp;</TD>";
    print "<TD CLASS=\"form\" align=\"right\"><INPUT type=\"submit\" name=\"$name\" value=\"$value\"></TD>";
  print "</TR>";
}

function PEF_submit_reset($value_submit="Ok", $value_reset="Clear", $name_submit="submitbtn", $name_reset="resetbtn") {
  print "<TR>";
    print "<TD CLASS=\"form\">&nbsp;</TD>";
    print "<TD CLASS=\"form\" align=\"right\">";
    print "<INPUT type=\"submit\" name=\"$name_submit\" value=\"$value_submit\">";
    print "<INPUT type=\"reset\" name=\"$name_reset\" value=\"$value_reset\">";
    print "</TD>";
  print "</TR>";
}

function PEF_textarea($title, $name, $value, $rows, $cols) {
  print "<TR>";
    print "<TD CLASS=\"form\" valign=\"top\">$title </TD>";
    print "<TD CLASS=\"form\"><TEXTAREA rows=\"$rows\" cols=\"$cols\" wrap=\"soft\" name=\"$name\">$value</TEXTAREA></TD>";
  print "</TR>";
}

function PEF_yesno($title, $name, $value) {
  print "<TR>";
    print "<TD CLASS=\"form\" VALIGN=\"middle\">$title</TD>";
    print "<TD CLASS=\"form\">";
    $checked_yes = "";
    $checked_no  = "CHECKED";
    if ($value == 't') {
      $checked_yes = "CHECKED";
      $checked_no  = "";
    }
    print "<INPUT type=\"radio\" name=\"$name\" value=\"t\" $checked_yes> Yes ";
    print "<INPUT type=\"radio\" name=\"$name\" value=\"f\" $checked_no> No";
    print "</TD>";
  print "</TR>";
}

function PEF_date($title, $name_day, $name_month, $name_year, $value_day=1, $value_month=1, $value_year=2001) {
  print "<TR>";
    print "<TD CLASS=\"form\" valign=\"middle\">$title</TD>";
    print "<TD CLASS=\"form\">\n";
    print "<SELECT NAME=\"$name_day\">\n";
    for ($i=1; $i<=31; $i++) {
      $selected = "";
      if ($i == $value_day)
        $selected = "SELECTED";
      print "<OPTION VALUE=\"".$i."\" ".$selected.">$i</OPTION>\n";
    }
    print "</SELECT>\n";

    print "<SELECT NAME=\"$name_month\">\n";
    for ($i=1; $i<=12; $i++) {
      $selected = "";
      if ($i == $value_month)
        $selected = "SELECTED";
      print "<OPTION VALUE=\"".$i."\" ".$selected.">$i</OPTION>\n";
    }
    print "</SELECT>\n";

    print "<SELECT NAME=\"$name_year\">\n";
    for ($i=1948; $i<=2047; $i++) {
      $selected = "";
      if ($i == $value_year)
        $selected = "SELECTED";
      print "<OPTION VALUE=\"".$i."\" ".$selected.">$i</OPTION>\n";
    }
    print "</SELECT>\n";


    print "</TD>\n";
  print "</TR>";
}

function PEF_time($title, $name_hour, $name_minute, $name_second, $value_hour=0, $value_minute=0, $value_second=0) {
  print "<TR>";
    print "<TD CLASS=\"form\" valign=\"top\"><BR>$title</TD>";
    print "<TD CLASS=\"form\">\n";
    print "<SELECT NAME=\"$name_hour\">\n";
    for ($i=0; $i<=23; $i++) {
      $selected = "";
      if ($i == $value_hour)
        $selected = "SELECTED";
      print "<OPTION VALUE=\"".$i."\" ".$selected.">$i h</OPTION>\n";
    }
    print "</SELECT>\n";

    print "<SELECT NAME=\"$name_minute\">\n";
    for ($i=0; $i<=59; $i++) {
      $selected = "";
      if ($i == $value_minute)
        $selected = "SELECTED";
      print "<OPTION VALUE=\"".$i."\" ".$selected.">$i m</OPTION>\n";
    }
    print "</SELECT>\n";

    print "<SELECT NAME=\"$name_second\">\n";
    for ($i=0; $i<=59; $i++) {
      $selected = "";
      if ($i == $value_second)
        $selected = "SELECTED";
      print "<OPTION VALUE=\"".$i."\" ".$selected.">$i s</OPTION>\n";
    }
    print "</SELECT>\n";
    print "</TD>\n";
  print "</TR>";
}

function PEF_file($title, $name, $size) {
  print "<TR>";
    print "<TD CLASS=\"form\">$title</TD>";
    print "<TD CLASS=\"form\"><INPUT NAME=\"$name\" TYPE=\"file\" SIZE=\"$size\"></TD>";
  print "<TR>";
}

function PEF_end_form() {
  print "</FORM>";
  print "</TABLE>";
}

?>
