CREATE TABLE tbl_signs (
ID_sign			SERIAL PRIMARY KEY,
ID_town			int4,
ID_roadsign        	int4,
ID_installer 		int4,
ID_user			int4,
ID_datacollector	int4,
ID_law	 		int4,
ID_owner		int4,
coord1			varchar(20),
coord2  		varchar(20),
addr			TEXT,
dateEntry		date,
dateCollect		date,
dateInstall             date,
comment			TEXT
);
GRANT all ON tbl_signs TO signs;

CREATE TABLE tbl_towns (
ID_town 		SERIAL PRIMARY KEY,
name			TEXT
);
GRANT all ON tbl_towns TO signs;

CREATE TABLE tbl_roadsigns (
ID_roadsign	        SERIAL PRIMARY KEY,
name                    TEXT NOT NULL,
file_image		TEXT,
width			SMALLINT,
height			SMALLINT
);
GRANT all ON tbl_roadsigns TO signs; 

CREATE TABLE tbl_owners (
ID_owner		SERIAL PRIMARY KEY,
name			TEXT NOT NULL
);
GRANT all ON tbl_owners TO signs;

CREATE TABLE tbl_installers (
ID_installer		SERIAL PRIMARY KEY,
name			TEXT,
note			TEXT
);
GRANT all ON tbl_installers TO signs;

CREATE TABLE tbl_users (
	id_user				SERIAL PRIMARY KEY,
	firstname			TEXT NOT NULL,
	lastname			TEXT NOT NULL,
	login				TEXT,
	password			TEXT,
	language			TEXT,
	is_admin			BOOL DEFAULT false,
	is_superuser			BOOL DEFAULT false,
	email				TEXT
);
GRANT all ON tbl_users TO signs;

INSERT INTO tbl_users (firstname, lastname) VALUES ('Nobody', '');
INSERT INTO tbl_users (firstname, lastname, login, password, is_admin) VALUES ('admin', 'temporary', 'admin', 'admin', 't');
INSERT INTO tbl_users (firstname, lastname, login, password, is_admin, is_superuser) VALUES ('superuser', 'temporary', 'root', 'root', 't', 't');

CREATE TABLE tbl_collectors (
ID_collector		SERIAL PRIMARY KEY,
name                    TEXT,
comment                 TEXT 
);
GRANT all ON tbl_collectors TO signs;

CREATE TABLE tbl_laws (
ID_law                  SERIAL PRIMARY KEY,
number                  TEXT,
name			TEXT,
dateLaw			date
);
GRANT all ON tbl_laws TO signs;

CREATE TABLE tbl_msgs (
ID_msg			SERIAL PRIMARY KEY,
id_lang			int4,
msg			TEXT
);
GRANT all ON tbl_msgs TO signs;

CREATE TABLE tbl_langs (          
ID_lang                 SERIAL PRIMARY KEY,
lang                    TEXT
);
GRANT all ON tbl_langs TO signs;     

CREATE TABLE tbl_conf (          
ID_conf                 SERIAL PRIMARY KEY,
id_lang			int4
);
GRANT all ON tbl_conf TO signs;     

